
/*Upper panel*/
body{
    margin: 0;
}

.panel-menu {
    display: flex;
    flex-direction: column;
    position: relative;
    background-color: #A9A9A9;
    color: #fff;
    padding: 10px;

}
.panel-top-right {
    position: absolute;
    top: 10px;
    right: 20px;
}
.dropdown-content {
    position: fixed;
    width:130px;
    top: 30px;
    right: 0px;
    background-color: white;
    color: black;
    border:1px solid black;
    z-index: 10;
    display: none;
    flex-direction: column;
    font-size: 15px;

}
.dropdown-content label{
    padding:5px;
}
.Profile:hover + .dropdown-content {
    display: flex;
}
.dropdown-content:hover {
    display: flex;
}


.notification-content {
    position: fixed;
    width:250px;
    height: 150px;
    top: 30px;
    right: 0px;
    background-color: white;
    color: black;
    border:1px solid black;
    z-index: 1;
    display: none;
    flex-direction: row;
    font-size: 15px;

}
.notification-content-users{
    display: flex;
    flex-direction: column;
    padding: 5px;
    z-index: 2;

}
.notification-content-users i{
    font-size: 20px;
    padding: 5px;
    position: center;
}

.notification-content-users a{
    font-size: 15px;
    position: center;
}

.notification-content-messages{
    display: flex;
    flex-direction: column;
    padding: 5px 5px 5px;
    z-index: 2;
}

.fa.fa-circle:hover + .notification-content,
.fa.fa-circle:hover + .notification-content-users,
.fa.fa-circle:hover + .notification-content-messages {
    display: flex;
}
.notification-content:hover{
    display: flex;
}

.message{
    margin-top: 15px;
    background-color: #A9A9A9;
    color: white;
    border:1px solid black;
    padding: 8px;
    width:140px;
    height: 10px;
    border-radius: 10px;

}
.message a{
    padding: 10px;
}

/*Upper panel*/

/*Content of the page*/

.content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;

}
/*Content of the page*/

/*Left menu of the page*/

.page-menu{
    position:sticky;
    overflow-x: scroll;
    overflow-y: scroll;
    padding-right: 100px;
    /*padding-left: 20px;*/
}
#page-menu-list {
    padding-top: 10px;
}

#page-menu-list>li{
    list-style-type: none;
    margin-bottom: 10px;
}
#page-menu-list>li>a{
    text-decoration-line: none;
    color: black;
}
#students{
    font-weight: bold;
}


/*Left menu of the page*/


/*Table block*/

.students_table{
    overflow-x: scroll;
    overflow-y: scroll;
    flex-direction: column;
    align-items: center;
    margin: auto; /* Center the table */
    width: 100%; /* Set the table width */
    border-collapse: collapse;
}
#add_student{
    position: sticky;
    padding: 5px;
    float: right;
    cursor: pointer;

}
#table_name {
    margin-right: 600px;
}
.students_table table {
    width: 95%;
}
.students_table table, th, td {
    border: 2px solid;
    text-align: center;
    border-collapse: collapse;
    padding: 20px;
}

/*Pagination under the table*/
.pagination {
    margin-top: 20px;
    float: bottom;
}

.pagination ul {
    display: flex;
    list-style: none;
    justify-content: center;
    align-items: center;
}

.pagination ul li {
    margin: 0 10px;
}

.pagination ul li a {
    color: #333;
    text-decoration: none;
    padding: 5px 10px;
    border: 1px solid #333;
}

.pagination ul li a:hover {
    background-color: #333;
    color: #fff;
}
/*Pagination under the table*/


/*Table block*/


/*Adding student*/
.dialog{
    visibility: hidden;
}
#panel-add {
    display: flex;
    position: fixed;
    align-items: center;
    justify-content: center;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    visibility: hidden;
    text-align: right;
}

#panel-warning {
    display: flex;
    position: fixed;
    align-items: center;
    justify-content: center;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    visibility: hidden;
    text-align: right;
    overflow-x: scroll;
    overflow-y: scroll;
}
.panel-add-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    max-width: 80%;
}

.panel-warning-content{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    max-width: 80%;
}

#close-dialog{
    position: absolute;
    top: 8%;
    right:4%;
}

#close-warning-dialog{
    position: absolute;
    top: 8%;
    right:4%;
}
#dialog-description{
    alignment: left;
}

/*#close-dialog{*/
/*    margin-left: 260px;*/
/*    !*padding-top:  10px;*!*/
/*}*/

#edit-dialog{
    display: none;

}
#ok-dialog{
    display: inline;
}
#ok-warning-dialog{
    display: inline;
}

.panel-add-content-filling{
    display: flex;
    text-align: left;
}

.panel-add-content-text{
    display: flex;
    flex-direction: column;
    font-size: 20px;
}
.panel-add-content-input{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 300px;
    margin-right: 20px;
}

select {
    height: 25px;
}

.panel-add-content-input input,
.panel-add-content-input select {
}

.panel-add-content-input *,
.panel-add-content-text * {
    margin: 10px;
}

#ok-dialog,#create-dialog{
    padding: 5px;
    margin: 10px;
}

/*Adding student style*/


/*Icons*/
.fa {
    display: inline-block; /* Ensure icons display on the same line */
    margin-right: 10px; /* Add 10 pixels of margin to the right of the icon */
}



#notified{
    font-size:10px;
    color:red;
    position: absolute;
    bottom:9px;
    left:10px;
    visibility: hidden;
}
/*Icons*/

/*Animation*/

@keyframes pulse {
    0%{
        opacity: 1;
        transform:scale(1);
    }
    50%{
        opacity: 0;
        transform: scale(1);
    }
    100%{
        opacity: 1;
        transform: scale(1);
    }
}

.pulse{
    animation: pulse 2s ease-in-out infinite;
}

/*Animation*/


/*Hide useless elements*/
::-webkit-scrollbar {
    display: none;
}
/*Hide useless elements*/
